## quakespasm 0.85.4

=== Quake/Makefile ===
### GNU Makefile for QuakeSpasm unix targets, Mar. 27, 2011
#
# You need the SDL library fully installed.
# "make DEBUG=1" to build a debug client.
# "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
# "make SDLNET=1" to use SDL_net (not recommended)
#                 instead of platform specific code.
# Build objects are separate from those of codeblocks

### Embed custom Quakespasm console background picture
USE_QS_CONBACK=1

### Enable/Disable codecs for streaming music support
#
# OGG (vorbis) playback requires libvorbis and libogg
# MP3 playback requires libmad or libmpg123 (see MP3LIB below)

USE_CODEC_WAVE=1
USE_CODEC_MP3=1
USE_CODEC_VORBIS=1

# which library to use for mp3 decoding: mad or mpg123
MP3LIB=mad

# ============================================================================
# Helper functions
# ============================================================================

check_gcc = $(shell if echo | $(CC) $(1) -S -o /dev/null -xc - > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi;)

# ============================================================================

DEBUG    ?= 0
SDLNET   ?= 0

BUILDDIR := .

SYSNAME := $(shell uname -s) 

ifneq (,$(findstring MINGW32,$(SYSNAME)))
HOST_OS = WIN32
TOPDIR := $(shell pwd -W)
else
ifneq (,$(findstring $(SYSNAME),FreeBSD NetBSD OpenBSD))
HOST_OS = UNIX
UNIX = bsd
TOPDIR := $(shell pwd)
else
ifneq (,$(findstring Linux,$(SYSNAME)))
HOST_OS = UNIX
UNIX = linux
TOPDIR := $(shell pwd)
else
$(error OS type not detected.)
endif
endif
endif

# ---------------------------------------
# Define some build variables
# ---------------------------------------

CC ?= gcc
WINDRES ?= windres
STRIP ?= strip

#CPUFLAGS= -mtune=i686
#CPUFLAGS= -march=pentium4
#CPUFLAGS= -mtune=k8
#CPUFLAGS= -march=atom
CPUFLAGS= 
DFLAGS ?=
CFLAGS ?= -Wall -Wno-trigraphs
# CFLAGS += -Werror
CFLAGS += $(CPUFLAGS)

ifneq ($(DEBUG),0)
DFLAGS += -DDEBUG
CFLAGS += -g
do_strip=
else
DFLAGS += -DNDEBUG
CFLAGS += -O2
CFLAGS += $(call check_gcc,-fweb,)
CFLAGS += $(call check_gcc,-frename-registers,)
cmd_strip=$(STRIP) $(1)
define do_strip
	$(call cmd_strip,$(1));
endef
endif

### X11BASE only gets used if its in an unusual place

X11DIRS := /usr/X11R7 /usr/local/X11R7 /usr/X11R6 /usr/local/X11R6
X11BASE_GUESS := $(shell \
	if [ -e /usr/include/X11/Xlib.h ] && \
		[ -e /usr/lib/libX11.a ]; then exit 0; fi; \
	if [ -e /usr/local/include/X11/Xlib.h ] && \
		[ -e /usr/local/lib/libX11.a ]; then exit 0; fi; \
	for DIR in $(X11DIRS); do \
            if [ -e $$DIR/include/X11/Xlib.h ] && \
		[ -e $$DIR/lib/libX11.a ]; then echo $$DIR; break; fi; \
	done )

X11BASE	?= $(X11BASE_GUESS)

ifneq ($(X11BASE),)
X11_LFLAGS := -L$(X11BASE)/lib
X11_CFLAGS := -I$(X11BASE)/include
endif

SDL_CONFIG ?= sdl-config
SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
SDL_LFLAGS := $(shell $(SDL_CONFIG) --libs)

ifeq ($(SDLNET),1)
NET_LIBS   := SDL_net
CFLAGS     +=-D_USE_SDLNET
else
NET_LIBS   :=
endif

ifeq ($(USE_QS_CONBACK),1)
CFLAGS+= -DUSE_QS_CONBACK
endif

ifeq ($(MP3LIB),mad)
mp3_obj=snd_mp3.o
else
ifeq ($(MP3LIB),mpg123)
mp3_obj=snd_mpg123.o
else
USE_CODEC_MP3=no
mp3_obj=snd_mp3.o
endif
endif

CODECLIBS  :=
ifeq ($(USE_CODEC_WAVE),1)
CFLAGS+= -DUSE_CODEC_WAVE
endif
ifeq ($(USE_CODEC_VORBIS),1)
CFLAGS+= -DUSE_CODEC_VORBIS
CODECLIBS+= vorbis vorbisfile ogg
endif
ifeq ($(USE_CODEC_MP3),1)
CFLAGS+= -DUSE_CODEC_MP3
CODECLIBS+= $(MP3LIB)
endif

COMMON_LIBS:= m GL

LIBS := $(patsubst %,-l%,$(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS))

# ---------------------------
# targets
# ---------------------------

.PHONY:	clean debug release

DEFAULT_TARGET := quakespasm

# ---------------------------
# rules
# ---------------------------

%.o:	%.c
	$(CC) $(DFLAGS) -c $(CFLAGS) $(X11_CFLAGS) $(SDL_CFLAGS) -o $@ $^

# ----------------------------------------------------------------------------
# objects
# ----------------------------------------------------------------------------

MUSIC_OBJS:= bgmusic.o \
	snd_codec.o \
	snd_wave.o \
	snd_vorbis.o \
	$(mp3_obj)
COMOBJ_SND := snd_dma.o snd_mix.o snd_mem.o $(MUSIC_OBJS)
SYSOBJ_SND := snd_sdl.o
SYSOBJ_CDA := cd_sdl.o
SYSOBJ_INPUT := in_sdl.o
SYSOBJ_GL_VID:= gl_vidsdl.o
ifeq ($(SDLNET),1)
SYSOBJ_NET := net_sdl.o net_sdlnet.o
else
SYSOBJ_NET := net_bsd.o net_udp.o
endif
SYSOBJ_SYS := pl_linux.o sys_sdl_unix.o
SYSOBJ_MAIN:= main_sdl.o
SYSOBJ_RES :=

GLOBJS = \
	gl_refrag.o \
	gl_rlight.o \
	gl_rmain.o \
	gl_fog.o \
	gl_rmisc.o \
	r_part.o \
	r_world.o \
	gl_screen.o \
	gl_sky.o \
	gl_warp.o \
	$(SYSOBJ_GL_VID) \
	gl_draw.o \
	image.o \
	gl_texmgr.o \
	gl_mesh.o \
	r_sprite.o \
	r_alias.o \
	r_brush.o \
	gl_model.o

OBJS := \
	$(GLOBJS) \
	$(SYSOBJ_INPUT) \
	$(COMOBJ_SND) \
	$(SYSOBJ_SND) \
	$(SYSOBJ_CDA) \
	$(SYSOBJ_NET) \
	net_dgrm.o \
	net_loop.o \
	net_main.o \
	chase.o \
	cl_demo.o \
	cl_input.o \
	cl_main.o \
	cl_parse.o \
	cl_tent.o \
	console.o \
	keys.o \
	menu.o \
	sbar.o \
	view.o \
	wad.o \
	cmd.o \
	common.o \
	crc.o \
	cvar.o \
	host.o \
	host_cmd.o \
	mathlib.o \
	pr_cmds.o \
	pr_edict.o \
	pr_exec.o \
	sv_main.o \
	sv_move.o \
	sv_phys.o \
	sv_user.o \
	world.o \
	conback.o \
	zone.o \
	$(SYSOBJ_SYS) $(SYSOBJ_MAIN) $(SYSOBJ_RES)

# ------------------------
# build rules for Linux
# ------------------------

quakespasm:	$(OBJS)
	$(CC) $(CFLAGS) -o quakespasm $(OBJS) $(X11_LFLAGS) $(SDL_LFLAGS) $(LIBS)
	$(call do_strip,$@)

release:	quakespasm
debug:
	$(error Use "make DEBUG=1")

install:	quakespasm
	cp quakespasm /usr/local/games/quake

clean:
	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)

=== debian/changelog ===
quakespasm (0.85.4-1) unstable; urgency=low

  [ David Banks ]
  * Initial release to Debian. (Closes: #615090)
  * Repack source tarball to exclude non-free components.
  * Build with user directories patch from upstream.
  * Add note about pulseaudio in README.Debian.

  [ Simon McVittie ]
  * Merge unreleased changelog entries
  * Add complete statement of license to copyright file
  * Add some missing copyright holders to copyright file
  * Use install(1) to ensure permissions are appropriate
  * Add some section headings to README.Debian
  * Recommend using game-data-packager for the data
  * Do not Recommend quake-data: this engine could be used with unpackaged
    free data such as OpenQuartz, and the quake package acts as the
    metapackage for "non-free Quake data and an engine"
  * Mention the quake package, and OpenQuartz, in the package description
  * Attribute copyright for snd_mp3.c more precisely, and reproduce all
    necessary copyright notices
  * Participate in the quake-engine and quake-engine-server alternatives as
    defined by the quake package
  * Add debian/source/local-options to unapply patches after building from
    git, and a .gitignore
  * Standards-Version: 3.9.2 (no changes)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:36:33 +0100

=== debian/control ===
Source: quakespasm
Maintainer: David Banks <amoebae@gmail.com>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
           Simon McVittie <smcv@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
Standards-Version: 3.9.2
Homepage: http://quakespasm.sourceforge.net/

Package: quakespasm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: quake-engine, quake-engine-server
Description: engine for iD software's Quake
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake. It includes some new features, important fixes, and aims
 for portability and correctness.
 .
 This package contains no data files. To use it, you will need to either
 install the commercial Quake data, or alternative free data files such as
 OpenQuartz.
 .
 This engine is typically used via a script that launches it with a particular
 data set, such as the one found in the "quake" package.

Package: quakespasm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: quakespasm (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: engine for iD software's Quake - debug symbols
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake.
 .
 This package contains debug symbols, which can be used to debug QuakeSpasm
 if it crashes.

## quakespasm 0.85.6

=== Quake/Makefile ===
--- 
+++ 
@@ -1,26 +1,23 @@
-### GNU Makefile for QuakeSpasm unix targets, Mar. 27, 2011
+### GNU Makefile for QuakeSpasm unix targets, Dec. 27, 2011
 #
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
-# "make SDLNET=1" to use SDL_net (not recommended)
-#                 instead of platform specific code.
-# Build objects are separate from those of codeblocks
+# "make SDLNET=1" to use SDL_net (NOT recommended) instead of platform
+# specific code.
 
 ### Embed custom Quakespasm console background picture
 USE_QS_CONBACK=1
 
 ### Enable/Disable codecs for streaming music support
-#
-# OGG (vorbis) playback requires libvorbis and libogg
-# MP3 playback requires libmad or libmpg123 (see MP3LIB below)
-
 USE_CODEC_WAVE=1
 USE_CODEC_MP3=1
 USE_CODEC_VORBIS=1
 
 # which library to use for mp3 decoding: mad or mpg123
 MP3LIB=mad
+# which library to use for ogg decoding: vorbis or tremor
+VORBISLIB=vorbis
 
 # ============================================================================
 # Helper functions
@@ -111,10 +108,10 @@
 
 SDL_CONFIG ?= sdl-config
 SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
-SDL_LFLAGS := $(shell $(SDL_CONFIG) --libs)
+SDL_LIBS   := $(shell $(SDL_CONFIG) --libs)
 
 ifeq ($(SDLNET),1)
-NET_LIBS   := SDL_net
+NET_LIBS   :=-lSDL_net
 CFLAGS     +=-D_USE_SDLNET
 else
 NET_LIBS   :=
@@ -124,15 +121,31 @@
 CFLAGS+= -DUSE_QS_CONBACK
 endif
 
+ifneq ($(VORBISLIB),vorbis)
+ifneq ($(VORBISLIB),tremor)
+$(error Invalid VORBISLIB setting)
+endif
+endif
+ifneq ($(MP3LIB),mpg123)
+ifneq ($(MP3LIB),mad)
+$(error Invalid MP3LIB setting)
+endif
+endif
 ifeq ($(MP3LIB),mad)
 mp3_obj=snd_mp3.o
-else
+lib_mp3dec=-lmad
+endif
 ifeq ($(MP3LIB),mpg123)
 mp3_obj=snd_mpg123.o
-else
-USE_CODEC_MP3=no
-mp3_obj=snd_mp3.o
-endif
+lib_mp3dec=-lmpg123
+endif
+ifeq ($(VORBISLIB),vorbis)
+cpp_vorbisdec=
+lib_vorbisdec=-lvorbisfile -lvorbis -logg
+endif
+ifeq ($(VORBISLIB),tremor)
+cpp_vorbisdec=-DVORBIS_USE_TREMOR
+lib_vorbisdec=-lvorbisidec -logg
 endif
 
 CODECLIBS  :=
@@ -140,17 +153,17 @@
 CFLAGS+= -DUSE_CODEC_WAVE
 endif
 ifeq ($(USE_CODEC_VORBIS),1)
-CFLAGS+= -DUSE_CODEC_VORBIS
-CODECLIBS+= vorbis vorbisfile ogg
+CFLAGS+= -DUSE_CODEC_VORBIS $(cpp_vorbisdec)
+CODECLIBS+= $(lib_vorbisdec)
 endif
 ifeq ($(USE_CODEC_MP3),1)
 CFLAGS+= -DUSE_CODEC_MP3
-CODECLIBS+= $(MP3LIB)
-endif
-
-COMMON_LIBS:= m GL
-
-LIBS := $(patsubst %,-l%,$(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS))
+CODECLIBS+= $(lib_mp3dec)
+endif
+
+COMMON_LIBS:= -lm -lGL
+
+LIBS := $(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS)
 
 # ---------------------------
 # targets
@@ -211,7 +224,8 @@
 	r_brush.o \
 	gl_model.o
 
-OBJS := \
+OBJS := strlcat.o \
+	strlcpy.o \
 	$(GLOBJS) \
 	$(SYSOBJ_INPUT) \
 	$(COMOBJ_SND) \
@@ -237,6 +251,7 @@
 	common.o \
 	crc.o \
 	cvar.o \
+	cfgfile.o \
 	host.o \
 	host_cmd.o \
 	mathlib.o \
@@ -257,7 +272,7 @@
 # ------------------------
 
 quakespasm:	$(OBJS)
-	$(CC) $(CFLAGS) -o quakespasm $(OBJS) $(X11_LFLAGS) $(SDL_LFLAGS) $(LIBS)
+	$(CC) $(OBJS) $(X11_LFLAGS) $(LIBS) $(SDL_LIBS) -o $@
 	$(call do_strip,$@)
 
 release:	quakespasm

=== debian/changelog ===
quakespasm (0.85.6-1) unstable; urgency=low

  [ Stephen Kitt ]
  * New upstream release:
    - Drop debian/patches/history-in-dotfile.patch, fixed differently
      upstream.
    - Refresh debian/patches/support-user-directories.patch using the
      upstream-provided patch in Misc/homedir_0.patch.
  * Add the VCS URLs.
  * Add myself to uploaders.
  
  [ Simon McVittie ]
  * debian/patches/gnu.patch: add "gnu" as an OS type, so compilation can at
    least be attempted on Hurd and kFreeBSD
  * Remove explicit compression=gzip from gbp.conf so it can cope with
    bzip2 too
  * Add the license and copyright holder of OpenBSD strlcpy/strlcat to the
    copyright file

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jan 2012 11:05:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: quakespasm
 Maintainer: David Banks <amoebae@gmail.com>
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
-           Simon McVittie <smcv@debian.org>
+           Simon McVittie <smcv@debian.org>,
+	   Stephen Kitt <steve@sk2.org>
 Section: games
 Priority: optional
 Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
 Standards-Version: 3.9.2
 Homepage: http://quakespasm.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-games/quakespasm.git
 
 Package: quakespasm
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/quakespasm

%:
	dh $@

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
maybe_debug = DEBUG=0
else
maybe_debug = DEBUG=1
endif

override_dh_auto_clean:
	make -C Quake clean

override_dh_auto_build:
	make -C Quake \
		$(maybe_debug) \
		STRIP=": do not strip:"

override_dh_auto_install:
	install -d $(DESTDIR)/usr/games
	install Quake/quakespasm $(DESTDIR)/usr/games

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream-changelog

override_dh_strip:
	dh_strip --dbg-package=quakespasm-dbg

## quakespasm 0.85.7

=== Quake/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-### GNU Makefile for QuakeSpasm unix targets, Dec. 27, 2011
+### GNU Makefile for QuakeSpasm unix targets, March 09, 2012
 #
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
@@ -32,7 +32,7 @@
 
 BUILDDIR := .
 
-SYSNAME := $(shell uname -s) 
+SYSNAME := $(shell uname -s)
 
 ifneq (,$(findstring MINGW32,$(SYSNAME)))
 HOST_OS = WIN32
@@ -54,7 +54,7 @@
 endif
 
 # ---------------------------------------
-# Define some build variables
+# build variables
 # ---------------------------------------
 
 CC ?= gcc
@@ -268,7 +268,7 @@
 	$(SYSOBJ_SYS) $(SYSOBJ_MAIN) $(SYSOBJ_RES)
 
 # ------------------------
-# build rules for Linux
+# Linux build rules
 # ------------------------
 
 quakespasm:	$(OBJS)
@@ -280,7 +280,7 @@
 	$(error Use "make DEBUG=1")
 
 install:	quakespasm
-	cp quakespasm /usr/local/games/quake
+	cp quakespasm /usr/local/games/quake/
 
 clean:
 	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)

=== debian/changelog ===
quakespasm (0.85.7-1) unstable; urgency=low

  [ David Banks ]
  * New upstream release.
    - Use the correct definition of sockaddr for kFreeBSD (Closes: #657793)
  * Update to latest policy and DEP-5 version.
  * Refresh support-user-directories.patch and gnu.patch.
  * Refresh upstream changelog.
  * Drop use of ${shlib:Depends} for the debug package.
  * Update manual page: drop dead options, update option descriptions

  [ Simon McVittie ]
  * Configure git-buildpackage to filter Windows and Mac binaries out of
    the "orig" tarball as well as the git repository, and re-import the orig
    tarball

 -- Simon McVittie <smcv@debian.org>  Tue, 01 May 2012 10:36:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: games
 Priority: optional
 Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://quakespasm.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/quakespasm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quakespasm.git
 
 Package: quakespasm
 Architecture: any
@@ -32,9 +32,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: quakespasm (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: quakespasm (= ${binary:Version}), ${misc:Depends}
 Description: engine for iD software's Quake - debug symbols
  QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
  popular FitzQuake.

## quakespasm 0.85.8

=== Quake/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-### GNU Makefile for QuakeSpasm unix targets, March 09, 2012
-#
+# GNU Makefile for QuakeSpasm unix targets, May 30, 2012
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
@@ -27,48 +26,28 @@
 
 # ============================================================================
 
-DEBUG    ?= 0
-SDLNET   ?= 0
-
-BUILDDIR := .
-
-SYSNAME := $(shell uname -s)
-
-ifneq (,$(findstring MINGW32,$(SYSNAME)))
-HOST_OS = WIN32
-TOPDIR := $(shell pwd -W)
-else
-ifneq (,$(findstring $(SYSNAME),FreeBSD NetBSD OpenBSD))
-HOST_OS = UNIX
-UNIX = bsd
-TOPDIR := $(shell pwd)
-else
-ifneq (,$(findstring Linux,$(SYSNAME)))
-HOST_OS = UNIX
-UNIX = linux
-TOPDIR := $(shell pwd)
-else
-$(error OS type not detected.)
-endif
-endif
-endif
+HOST_OS := $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
+
+DEBUG   ?= 0
+SDLNET  ?= 0
 
 # ---------------------------------------
 # build variables
 # ---------------------------------------
 
 CC ?= gcc
-WINDRES ?= windres
+LINKER = $(CC)
+
 STRIP ?= strip
 
 #CPUFLAGS= -mtune=i686
 #CPUFLAGS= -march=pentium4
 #CPUFLAGS= -mtune=k8
 #CPUFLAGS= -march=atom
-CPUFLAGS= 
+CPUFLAGS=
+LDFLAGS =
 DFLAGS ?=
 CFLAGS ?= -Wall -Wno-trigraphs
-# CFLAGS += -Werror
 CFLAGS += $(CPUFLAGS)
 
 ifneq ($(DEBUG),0)
@@ -102,8 +81,8 @@
 X11BASE	?= $(X11BASE_GUESS)
 
 ifneq ($(X11BASE),)
-X11_LFLAGS := -L$(X11BASE)/lib
-X11_CFLAGS := -I$(X11BASE)/include
+LDFLAGS+= -L$(X11BASE)/lib
+CFLAGS += -I$(X11BASE)/include
 endif
 
 SDL_CONFIG ?= sdl-config
@@ -114,7 +93,11 @@
 NET_LIBS   :=-lSDL_net
 CFLAGS     +=-D_USE_SDLNET
 else
+ifeq ($(HOST_OS),sunos)
+NET_LIBS   :=-lsocket -lnsl -lresolv
+else
 NET_LIBS   :=
+endif
 endif
 
 ifeq ($(USE_QS_CONBACK),1)
@@ -178,7 +161,7 @@
 # ---------------------------
 
 %.o:	%.c
-	$(CC) $(DFLAGS) -c $(CFLAGS) $(X11_CFLAGS) $(SDL_CFLAGS) -o $@ $^
+	$(CC) $(DFLAGS) -c $(CFLAGS) $(SDL_CFLAGS) -o $@ $^
 
 # ----------------------------------------------------------------------------
 # objects
@@ -272,16 +255,13 @@
 # ------------------------
 
 quakespasm:	$(OBJS)
-	$(CC) $(OBJS) $(X11_LFLAGS) $(LIBS) $(SDL_LIBS) -o $@
+	$(LINKER) $(OBJS) $(LDFLAGS) $(LIBS) $(SDL_LIBS) -o $@
 	$(call do_strip,$@)
 
 release:	quakespasm
 debug:
 	$(error Use "make DEBUG=1")
 
-install:	quakespasm
-	cp quakespasm /usr/local/games/quake/
-
 clean:
 	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)

=== debian/changelog ===
quakespasm (0.85.8-1) unstable; urgency=low

  [ David Banks ]
  * New upstream release.
  * Refresh patches: remove-redundant-linking.patch, mp3-copyright.patch.
  * Delete hurd/kFreeBSD compatibility patch gnu.patch, obsoleted by
    substantial changes in the upstream Makefile machinery.
  * Refresh the user directory support patch with trivial changes from upstream.
  * Bump debhelper version to 9 to avoid spurious python warning on build.
  * Add use-inherited-build-flags.patch to use hardening flags during build

  [ Simon McVittie ]
  * Update debian/copyright.
  * Adjust mp3-copyright.patch so it doesn't reduce the range of copyright
    years asserted.
  * Remove unused history-in-dotfile.patch.
  * Refresh patches to git format-patch format, as used by gbp-pq.
  * Discard changes from experimental's 0.85.7-2, no longer relevant:
    - upstream now has the equivalent of Svante Signell's patch to make
      networking work on Hurd (Closes: #671014)
    - David added support for CFLAGS/LDFLAGS/CPPFLAGS differently
  * Upload to unstable.

 -- Simon McVittie <smcv@debian.org>  Sun, 12 May 2013 11:22:45 +0100

## quakespasm 0.85.9

=== Quake/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# GNU Makefile for QuakeSpasm unix targets, May 30, 2012
+# GNU Makefile for QuakeSpasm unix targets, Oct. 25, 2012
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
@@ -18,22 +18,22 @@
 # which library to use for ogg decoding: vorbis or tremor
 VORBISLIB=vorbis
 
-# ============================================================================
+# ---------------------------
 # Helper functions
-# ============================================================================
-
-check_gcc = $(shell if echo | $(CC) $(1) -S -o /dev/null -xc - > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi;)
-
-# ============================================================================
+# ---------------------------
+
+check_gcc = $(shell if echo | $(CC) $(1) -Werror -S -o /dev/null -xc - > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi;)
+
+# ---------------------------
 
 HOST_OS := $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
 
 DEBUG   ?= 0
 SDLNET  ?= 0
 
-# ---------------------------------------
+# ---------------------------
 # build variables
-# ---------------------------------------
+# ---------------------------
 
 CC ?= gcc
 LINKER = $(CC)

=== debian/changelog ===
quakespasm (0.85.9-1) unstable; urgency=low

  [ David Banks ]
  * New upstream release.
  * Refresh upstream changelog.

  [ Simon McVittie ]
  * Update debian/copyright
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Sep 2013 10:32:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 	   Stephen Kitt <steve@sk2.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 8), libsdl1.2-dev, libvorbis-dev, libmad0-dev
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libsdl1.2-dev,
+               libvorbis-dev, libmad0-dev
 Standards-Version: 3.9.3
 Homepage: http://quakespasm.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 DESTDIR = $(CURDIR)/debian/quakespasm

=== debian/watch ===
version=3

http://sf.net/quakespasm/quakespasm-([\d\.]*).tgz

## quakespasm 0.90.1+dfsg

=== debian/changelog ===
quakespasm (0.90.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the Mac OS X and Windows binaries using "Files-Excluded" in
    debian/copyright rather than filtering in gbp.conf.
  * Rename "[git-import-orig]" to "[import-orig]" in gbp.conf.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2015 07:23:12 +0200

quakespasm (0.90.0-3) unstable; urgency=medium

  * Drop another use of __DATE__ and __TIME__...
  * Identify the games team as "Maintainer:", and move David Banks to
    "Uploaders:".

 -- Stephen Kitt <skitt@debian.org>  Sun, 03 May 2015 19:04:01 +0200

quakespasm (0.90.0-2) unstable; urgency=medium

  * Drop __DATE__ and __TIME__ to make the build reproducible.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 30 Apr 2015 17:20:34 +0200

quakespasm (0.90.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to my Debian address.
  * Build with SDL2, FLAC, OPUS and MikMod.
  * Rework debian/copyright.
  * wrap-and-sort.
  * Build and install quakespasm.pak.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 23 Mar 2015 23:46:26 +0100

=== debian/control ===
Source: quakespasm
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 David Banks <amoebae@gmail.com>,
 Simon McVittie <smcv@debian.org>,
 Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 libflac-dev,
 libmad0-dev,
 libmikmod-dev,
 libopusfile-dev,
 libsdl2-dev,
 libvorbis-dev
Standards-Version: 3.9.6
Homepage: http://quakespasm.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/quakespasm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/quakespasm.git

Package: quakespasm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 quake-engine,
 quake-engine-server
Description: engine for iD software's Quake
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake. It includes some new features, important fixes, and aims
 for portability and correctness.
 .
 This package contains no data files. To use it, you will need to either
 install the commercial Quake data, or alternative free data files such as
 OpenQuartz.
 .
 This engine is typically used via a script that launches it with a particular
 data set, such as the one found in the "quake" package.

Package: quakespasm-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 quakespasm (= ${binary:Version}),
 ${misc:Depends}
Description: engine for iD software's Quake - debug symbols
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake.
 .
 This package contains debug symbols, which can be used to debug QuakeSpasm
 if it crashes.

=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,25 @@
 
 override_dh_auto_clean:
 	make -C Quake clean
+	rm -f Misc/qs_pak/quakespasm.pak
 
 override_dh_auto_build:
 	make -C Quake \
 		$(maybe_debug) \
-		STRIP=": do not strip:"
+		STRIP=": do not strip:" \
+		DO_USERDIRS=1 \
+		USE_SDL2=1 \
+		USE_CODEC_FLAC=1 \
+		USE_CODEC_OPUS=1 \
+		USE_CODEC_MIKMOD=1 \
+		USE_CODEC_UMX=1
+	make -C Misc/qs_pak
 
 override_dh_auto_install:
 	install -d $(DESTDIR)/usr/games
 	install Quake/quakespasm $(DESTDIR)/usr/games
+	install -d $(DESTDIR)/usr/share/games/quake
+	install -m 644 Misc/qs_pak/quakespasm.pak $(DESTDIR)/usr/share/games/quake
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream-changelog

## quakespasm 0.91.0+dfsg

=== Quake/Makefile ===
--- 
+++ 
@@ -1,17 +1,25 @@
-# GNU Makefile for QuakeSpasm unix targets, Oct. 25, 2012
+# GNU Makefile for QuakeSpasm unix targets, Sep. 10, 2014
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
-# "make SDLNET=1" to use SDL_net (NOT recommended) instead of platform
-# specific code.
-
-### Embed custom Quakespasm console background picture
-USE_QS_CONBACK=1
+# "make DO_USERDIRS=1" to enable user directories support
+
+# Enable/Disable user directories support
+DO_USERDIRS=0
+
+### Enable/Disable SDL2
+USE_SDL2=0
 
 ### Enable/Disable codecs for streaming music support
 USE_CODEC_WAVE=1
+USE_CODEC_FLAC=0
 USE_CODEC_MP3=1
 USE_CODEC_VORBIS=1
+USE_CODEC_OPUS=0
+# either mikmod (preferred) or modplug, not both
+USE_CODEC_MIKMOD=0
+USE_CODEC_MODPLUG=0
+USE_CODEC_UMX=0
 
 # which library to use for mp3 decoding: mad or mpg123
 MP3LIB=mad
@@ -29,7 +37,6 @@
 HOST_OS := $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
 
 DEBUG   ?= 0
-SDLNET  ?= 0
 
 # ---------------------------
 # build variables
@@ -49,7 +56,6 @@
 DFLAGS ?=
 CFLAGS ?= -Wall -Wno-trigraphs
 CFLAGS += $(CPUFLAGS)
-
 ifneq ($(DEBUG),0)
 DFLAGS += -DDEBUG
 CFLAGS += -g
@@ -65,6 +71,10 @@
 endef
 endif
 
+ifeq ($(DO_USERDIRS),1)
+CFLAGS += -DDO_USERDIRS=1
+endif
+
 ### X11BASE only gets used if its in an unusual place
 
 X11DIRS := /usr/X11R7 /usr/local/X11R7 /usr/X11R6 /usr/local/X11R6
@@ -85,24 +95,23 @@
 CFLAGS += -I$(X11BASE)/include
 endif
 
+ifeq ($(USE_SDL2),1)
+CFLAGS += -DUSE_SDL2
+endif
+
+ifeq ($(USE_SDL2),1)
+SDL_CONFIG ?= sdl2-config
+else
 SDL_CONFIG ?= sdl-config
+endif
 SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
 SDL_LIBS   := $(shell $(SDL_CONFIG) --libs)
 
-ifeq ($(SDLNET),1)
-NET_LIBS   :=-lSDL_net
-CFLAGS     +=-D_USE_SDLNET
-else
 ifeq ($(HOST_OS),sunos)
 NET_LIBS   :=-lsocket -lnsl -lresolv
 else
 NET_LIBS   :=
 endif
-endif
-
-ifeq ($(USE_QS_CONBACK),1)
-CFLAGS+= -DUSE_QS_CONBACK
-endif
 
 ifneq ($(VORBISLIB),vorbis)
 ifneq ($(VORBISLIB),tremor)
@@ -135,6 +144,18 @@
 ifeq ($(USE_CODEC_WAVE),1)
 CFLAGS+= -DUSE_CODEC_WAVE
 endif
+ifeq ($(USE_CODEC_FLAC),1)
+CFLAGS+= -DUSE_CODEC_FLAC
+CODECLIBS+= -lFLAC
+endif
+ifeq ($(USE_CODEC_OPUS),1)
+# opus and opusfile put their *.h under <includedir>/opus,
+# but they include the headers without the opus directory
+# prefix and rely on pkg-config. ewww...
+CFLAGS+= -DUSE_CODEC_OPUS
+CFLAGS+= $(shell pkg-config --cflags opusfile)
+CODECLIBS+= $(shell pkg-config --libs   opusfile)
+endif
 ifeq ($(USE_CODEC_VORBIS),1)
 CFLAGS+= -DUSE_CODEC_VORBIS $(cpp_vorbisdec)
 CODECLIBS+= $(lib_vorbisdec)
@@ -143,6 +164,17 @@
 CFLAGS+= -DUSE_CODEC_MP3
 CODECLIBS+= $(lib_mp3dec)
 endif
+ifeq ($(USE_CODEC_MIKMOD),1)
+CFLAGS+= -DUSE_CODEC_MIKMOD
+CODECLIBS+= -lmikmod
+endif
+ifeq ($(USE_CODEC_MODPLUG),1)
+CFLAGS+= -DUSE_CODEC_MODPLUG
+CODECLIBS+= -lmodplug
+endif
+ifeq ($(USE_CODEC_UMX),1)
+CFLAGS+= -DUSE_CODEC_UMX
+endif
 
 COMMON_LIBS:= -lm -lGL
 
@@ -169,19 +201,20 @@
 
 MUSIC_OBJS:= bgmusic.o \
 	snd_codec.o \
+	snd_flac.o \
 	snd_wave.o \
 	snd_vorbis.o \
-	$(mp3_obj)
+	snd_opus.o \
+	$(mp3_obj) \
+	snd_mikmod.o \
+	snd_modplug.o \
+	snd_umx.o
 COMOBJ_SND := snd_dma.o snd_mix.o snd_mem.o $(MUSIC_OBJS)
 SYSOBJ_SND := snd_sdl.o
 SYSOBJ_CDA := cd_sdl.o
 SYSOBJ_INPUT := in_sdl.o
 SYSOBJ_GL_VID:= gl_vidsdl.o
-ifeq ($(SDLNET),1)
-SYSOBJ_NET := net_sdl.o net_sdlnet.o
-else
 SYSOBJ_NET := net_bsd.o net_udp.o
-endif
 SYSOBJ_SYS := pl_linux.o sys_sdl_unix.o
 SYSOBJ_MAIN:= main_sdl.o
 SYSOBJ_RES :=
@@ -246,7 +279,6 @@
 	sv_phys.o \
 	sv_user.o \
 	world.o \
-	conback.o \
 	zone.o \
 	$(SYSOBJ_SYS) $(SYSOBJ_MAIN) $(SYSOBJ_RES)
 
@@ -265,3 +297,5 @@
 clean:
 	rm -f $(shell find . \( -name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' -o -name $(DEFAULT_TARGET) \) -print)
 
+install:	quakespasm
+	cp quakespasm /usr/local/games/quake

=== debian/changelog ===
quakespasm (0.91.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to dbgsym debug packages.
  * Clean up debian/rules.
  * Drop upstream-changelog (the user-readable changelog is in the
    documentation).

 -- Stephen Kitt <skitt@debian.org>  Wed, 20 Jan 2016 13:53:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: games
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20151219~),
  dpkg-dev (>= 1.16.1~),
  libflac-dev,
  libmad0-dev,
@@ -39,17 +39,3 @@
  .
  This engine is typically used via a script that launches it with a particular
  data set, such as the one found in the "quake" package.
-
-Package: quakespasm-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
- quakespasm (= ${binary:Version}),
- ${misc:Depends}
-Description: engine for iD software's Quake - debug symbols
- QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
- popular FitzQuake.
- .
- This package contains debug symbols, which can be used to debug QuakeSpasm
- if it crashes.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

DESTDIR = $(CURDIR)/debian/quakespasm

%:
	dh $@

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
maybe_debug = DEBUG=0
else
maybe_debug = DEBUG=1
endif

override_dh_auto_clean:
	make -C Quake clean

override_dh_auto_build:
	make -C Quake \
		$(maybe_debug) \
		STRIP=": do not strip:" \
		DO_USERDIRS=1 \
		USE_SDL2=1 \
		USE_CODEC_FLAC=1 \
		USE_CODEC_OPUS=1 \
		USE_CODEC_MIKMOD=1 \
		USE_CODEC_UMX=1
	make -C Misc/qs_pak

override_dh_strip:
	dh_strip --ddeb-migration='quakespasm-dbg (<< 0.90.1+dfsg-2~)'

## quakespasm 0.92.0+dfsg

=== debian/changelog ===
quakespasm (0.92.0+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Switch Vcs-Git to https (see #810378)
  * Switch Vcs-Browser to https and cgit

  [ Stephen Kitt ]
  * New upstream release.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Jul 2016 08:21:13 +0200

=== debian/control ===
Source: quakespasm
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Banks <amoebae@gmail.com>,
           Simon McVittie <smcv@debian.org>,
           Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9.20151219~),
               dpkg-dev,
               libflac-dev,
               libmad0-dev,
               libmikmod-dev,
               libopusfile-dev,
               libsdl2-dev,
               libvorbis-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quakespasm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/quakespasm.git
Homepage: http://quakespasm.sourceforge.net/

Package: quakespasm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: quake-engine,
          quake-engine-server
Description: engine for iD software's Quake
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake. It includes some new features, important fixes, and aims
 for portability and correctness.
 .
 This package contains no data files. To use it, you will need to either
 install the commercial Quake data, or alternative free data files such as
 OpenQuartz.
 .
 This engine is typically used via a script that launches it with a particular
 data set, such as the one found in the "quake" package.

## quakespasm 0.92.1+dfsg

=== debian/changelog ===
quakespasm (0.92.1+dfsg-2) unstable; urgency=medium

  * Increase debhelper compat level to 10 (parallel build by default)
  * d/copyright: break out BSD-3-clause to a standalone license paragraph
  * Enable full compiler hardening
  * d/rules: Remove redundant DESTDIR setting
  * Use git-format-patch-compatible patch headers as used by gbp pq
  * Adjust mp3-copyright.patch so it applies again
  * Remove old patch for user directory support, which was applied upstream
  * Fix an incorrectly-spelled version of "response" as detected by Lintian

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2017 17:42:33 +0100

quakespasm (0.92.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop useless unversioned dpkg-dev build-dependency.
  * Fix a few spelling mistakes.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Aug 2016 22:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
            Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9.20151219~),
-               dpkg-dev,
+Build-Depends: debhelper (>= 10),
                libflac-dev,
                libmad0-dev,
                libmikmod-dev,

## quakespasm 0.93.0+dfsg

=== debian/changelog ===
quakespasm (0.93.0+dfsg-2) unstable; urgency=medium

  * Move git hosting to salsa.debian.org
  * debian/gbp.conf: Configure for DEP-14 repository layout

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jan 2018 09:23:33 +0000

quakespasm (0.93.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Nov 2017 18:39:53 +0100

quakespasm (0.92.1+dfsg-3) unstable; urgency=medium

  * d/copyright: Use https Format URL
  * Standards-Version: 4.1.1 (no further changes)
  * Set Rules-Requires-Root to no. With recent debhelper and dpkg
    versions, this package can be built without fakeroot.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 08:50:34 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                libopusfile-dev,
                libsdl2-dev,
                libvorbis-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quakespasm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/quakespasm.git
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
+Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
 Homepage: http://quakespasm.sourceforge.net/
 
 Package: quakespasm

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
-
-DESTDIR = $(CURDIR)/debian/quakespasm
 
 %:
 	dh $@

## quakespasm 0.93.1+dfsg

=== Quake/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# GNU Makefile for QuakeSpasm unix targets, Sep. 10, 2014
+# GNU Makefile for QuakeSpasm unix targets.
 # You need the SDL library fully installed.
 # "make DEBUG=1" to build a debug client.
 # "make SDL_CONFIG=/path/to/sdl-config" for unusual SDL installations.
@@ -16,9 +16,9 @@
 USE_CODEC_MP3=1
 USE_CODEC_VORBIS=1
 USE_CODEC_OPUS=0
-# either mikmod (preferred) or modplug, not both
+# either mikmod or xmp
 USE_CODEC_MIKMOD=0
-USE_CODEC_MODPLUG=0
+USE_CODEC_XMP=0
 USE_CODEC_UMX=0
 
 # which library to use for mp3 decoding: mad or mpg123
@@ -168,9 +168,9 @@
 CFLAGS+= -DUSE_CODEC_MIKMOD
 CODECLIBS+= -lmikmod
 endif
-ifeq ($(USE_CODEC_MODPLUG),1)
-CFLAGS+= -DUSE_CODEC_MODPLUG
-CODECLIBS+= -lmodplug
+ifeq ($(USE_CODEC_XMP),1)
+CFLAGS+= -DUSE_CODEC_XMP
+CODECLIBS+= -lxmp
 endif
 ifeq ($(USE_CODEC_UMX),1)
 CFLAGS+= -DUSE_CODEC_UMX
@@ -193,7 +193,7 @@
 # ---------------------------
 
 %.o:	%.c
-	$(CC) $(DFLAGS) -c $(CFLAGS) $(SDL_CFLAGS) -o $@ $^
+	$(CC) $(DFLAGS) -c $(CFLAGS) $(SDL_CFLAGS) -o $@ $<
 
 # ----------------------------------------------------------------------------
 # objects
@@ -207,7 +207,7 @@
 	snd_opus.o \
 	$(mp3_obj) \
 	snd_mikmod.o \
-	snd_modplug.o \
+	snd_xmp.o \
 	snd_umx.o
 COMOBJ_SND := snd_dma.o snd_mix.o snd_mem.o $(MUSIC_OBJS)
 SYSOBJ_SND := snd_sdl.o
@@ -290,6 +290,8 @@
 	$(LINKER) $(OBJS) $(LDFLAGS) $(LIBS) $(SDL_LIBS) -o $@
 	$(call do_strip,$@)
 
+image.o: lodepng.c lodepng.h stb_image_write.h
+
 release:	quakespasm
 debug:
 	$(error Use "make DEBUG=1")

=== debian/changelog ===
quakespasm (0.93.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Jun 2018 10:13:33 +0200

quakespasm (0.93.0+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross buildability: (Closes: #900217)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Make pkg-config substitutable.

  [ Stephen Kitt ]
  * Drop debug symbol migration, published in Stretch.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no change required.
  * Apply David Banks’ patch to avoid double-counting rotfish.
    (Closes: #742895)

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 May 2018 20:32:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libflac-dev,
                libmad0-dev,
                libmikmod-dev,
@@ -13,7 +13,7 @@
                libsdl2-dev,
                libvorbis-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
 Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
 Homepage: http://quakespasm.sourceforge.net/

=== debian/watch ===
version=3

opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 http://sf.net/quakespasm/quakespasm-([\d\.]*).tgz

## quakespasm 0.93.2+dfsg

=== Misc/qs_pak/Makefile ===
INPUT := gfx/conback.lmp \
	maps/e1m1.ent \
	maps/e1m2.ent \
	maps/e1m4.ent \
	maps/e2m2.ent \
	maps/e2m3.ent \
	maps/e2m7.ent \
	default.cfg

OUTPUT := quakespasm.pak

$(OUTPUT): $(INPUT)
	./mkpak.sh $(INPUT) > $(OUTPUT)

.PHONY: clean
clean:
	rm -f $(OUTPUT)

=== debian/changelog ===
quakespasm (0.93.2+dfsg-2) unstable; urgency=medium

  * Standards-Version 4.5.1 (no changes required)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * d/upstream/metadata: Add
  * d/gbp.conf: Set packaging branch to debian/latest
  * Re-export patch series in git format-patch format.
    This dialect of DEP-3 interacts better with gbp-pq, and with git in
    general.
  * Mark some patches as forwarded upstream
  * d/watch: Update file format version to 4, and use https

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Dec 2020 14:15:12 +0000

quakespasm (0.93.2+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Move to debhelper-compat 12
  * Standards-Version 4.4.1 (no changes required)

  [ Stephen Kitt ]
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Nov 2019 10:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libflac-dev,
                libmad0-dev,
                libmikmod-dev,
@@ -13,7 +13,7 @@
                libsdl2-dev,
                libvorbis-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
 Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
 Homepage: http://quakespasm.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ --sourcedirectory=Quake

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
maybe_debug = DEBUG=0
else
maybe_debug = DEBUG=1
endif

override_dh_auto_build:
	dh_auto_build -- \
		$(maybe_debug) \
		STRIP=": do not strip:" \
		DO_USERDIRS=1 \
		USE_SDL2=1 \
		USE_CODEC_FLAC=1 \
		USE_CODEC_OPUS=1 \
		USE_CODEC_MIKMOD=1 \
		USE_CODEC_UMX=1
	dh_auto_build --sourcedirectory=Misc/qs_pak

override_dh_auto_install:

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// https://sf.net/quakespasm/ quakespasm-([\d\.]*).tgz

## quakespasm 0.94.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libflac-dev,
                libmad0-dev,
                libmikmod-dev,
@@ -13,7 +13,7 @@
                libsdl2-dev,
                libvorbis-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
 Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
 Homepage: http://quakespasm.sourceforge.net/

## quakespasm 0.94.3+dfsg

=== Quake/Makefile ===
--- 
+++ 
@@ -46,11 +46,8 @@
 LINKER = $(CC)
 
 STRIP ?= strip
-
-#CPUFLAGS= -mtune=i686
-#CPUFLAGS= -march=pentium4
-#CPUFLAGS= -mtune=k8
-#CPUFLAGS= -march=atom
+PKG_CONFIG ?= pkg-config
+
 CPUFLAGS=
 LDFLAGS =
 DFLAGS ?=
@@ -124,11 +121,11 @@
 endif
 endif
 ifeq ($(MP3LIB),mad)
-mp3_obj=snd_mp3.o
+mp3_obj=snd_mp3
 lib_mp3dec=-lmad
 endif
 ifeq ($(MP3LIB),mpg123)
-mp3_obj=snd_mpg123.o
+mp3_obj=snd_mpg123
 lib_mp3dec=-lmpg123
 endif
 ifeq ($(VORBISLIB),vorbis)
@@ -153,8 +150,8 @@
 # but they include the headers without the opus directory
 # prefix and rely on pkg-config. ewww...
 CFLAGS+= -DUSE_CODEC_OPUS
-CFLAGS+= $(shell pkg-config --cflags opusfile)
-CODECLIBS+= $(shell pkg-config --libs   opusfile)
+CFLAGS+= $(shell $(PKG_CONFIG) --cflags opusfile)
+CODECLIBS+= $(shell $(PKG_CONFIG) --libs   opusfile)
 endif
 ifeq ($(USE_CODEC_VORBIS),1)
 CFLAGS+= -DUSE_CODEC_VORBIS $(cpp_vorbisdec)
@@ -205,7 +202,8 @@
 	snd_wave.o \
 	snd_vorbis.o \
 	snd_opus.o \
-	$(mp3_obj) \
+	$(mp3_obj).o \
+	snd_mp3tag.o \
 	snd_mikmod.o \
 	snd_xmp.o \
 	snd_umx.o
@@ -265,6 +263,7 @@
 	wad.o \
 	cmd.o \
 	common.o \
+	miniz.o \
 	crc.o \
 	cvar.o \
 	cfgfile.o \

=== debian/changelog ===
quakespasm (0.94.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 09 Dec 2021 22:54:30 +0100

quakespasm (0.94.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Oct 2021 20:36:00 +0200

quakespasm (0.94.1+dfsg-1) unstable; urgency=medium

  * New upstream bug-fix release.
  * The build expects preprocessor flags in DFLAGS, use that instead of
    adding CPPFLAGS to CFLAGS.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Sep 2021 13:21:52 +0200

quakespasm (0.94.0+dfsg-1) unstable; urgency=medium

  * New upstream release, with support for the 2021 re-release.
  * debian/watch: allow all archive extensions.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Sep 2021 17:40:35 +0200

## quakespasm 0.94.7+dfsg

=== debian/changelog ===
quakespasm (0.94.7+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Jul 2022 21:52:08 +0100

quakespasm (0.94.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update Lintian overrides syntax

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 17:28:55 +0100

quakespasm (0.94.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jun 2022 14:19:35 +0200

quakespasm (0.94.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 May 2022 20:21:44 +0200
